package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.professional.TPCourseParam;
import com.qmth.distributed.print.business.bean.result.ProfessionalCourseSelectResult;
import com.qmth.distributed.print.business.entity.TPCourse;

import java.util.List;

/**
 * <p>
 * 专业认证课程 服务类
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface TPCourseService extends IService<TPCourse> {

    List<TPCourse> listCourse(Long professionalId);

    boolean saveCourse(TPCourseParam tpCourseParam);

    boolean saveSort(List<TPCourse> courseList);

    boolean removeCourse(Long id);

    List<ProfessionalCourseSelectResult> queryList(Long orgId, Long professionalId);

    int getMaxSortNum(Long professionalId);
}
